lockf(8)

NAME
lockf - lock files from within shell-scripts (used by sn news system)

SYNOPSIS
lockf

DESCRIPTION
lockf can be used to lock files from within shell-scripts. Filedescriptor 3 is always locked, and the lock remains until the process is killed. The process-id is written to standard output, as to facilitate killing the process. It is used by the sn news system.

SEE ALSO
sn(8)